RedCrawler API
Posting V1

Create Crosspost V1

Crosspost an existing post to another subreddit. Requires bearer token.

POST /api/v1/publishing/crosspost

Crosspost an existing post to another subreddit. Requires bearer token.

Body parameters

NameTypeRequiredDescription
subredditstringYesTarget subreddit to crosspost into (name, r/name, or URL).
titlestringYesCrosspost title (max 300 chars).
post_urlstringYesOriginal post URL, ID, or t3_ prefixed ID to crosspost.
proxystringNoProxy. Optional if stored in Token Vault.
bearerstringNoBearer token. Optional if stored in Token Vault.
textstringNoOptional body text for the crosspost.

Authentication

HeaderValue
X-RapidAPI-KeyYour RapidAPI key
X-RapidAPI-Hostred-crawler1.p.rapidapi.com

Example request

cURL

curl -X POST "https://red-crawler1.p.rapidapi.com/api/v1/publishing/crosspost" \
  -H "X-RapidAPI-Key: YOUR_RAPIDAPI_KEY" \
  -H "X-RapidAPI-Host: red-crawler1.p.rapidapi.com" \
  -H "Content-Type: application/json" \
  --data '{"subreddit": "test", "title": "<title>", "post_url": "<post_url>", "proxy": "<proxy>", "bearer": "<bearer>", "text": "<text>"}'

JavaScript

const res = await fetch("https://red-crawler1.p.rapidapi.com/api/v1/publishing/crosspost", {
  method: "POST",
  headers: {
      "X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
    "X-RapidAPI-Host": "red-crawler1.p.rapidapi.com"
    },
    body: JSON.stringify({
  "subreddit": "test",
  "title": "<title>",
  "post_url": "<post_url>",
  "proxy": "<proxy>",
  "bearer": "<bearer>",
  "text": "<text>"
})
});
const data = await res.json();
console.log(data);

Python

import requests

url = "https://red-crawler1.p.rapidapi.com/api/v1/publishing/crosspost"
headers = {
    "X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
    "X-RapidAPI-Host": "red-crawler1.p.rapidapi.com",
    "Content-Type": "application/json"
}
payload = {
  "subreddit": "test",
  "title": "<title>",
  "post_url": "<post_url>",
  "proxy": "<proxy>",
  "bearer": "<bearer>",
  "text": "<text>"
}
resp = requests.post(url, headers=headers, json=payload)
print(resp.json())

Example response

HTTP 200 — captured from a live call to the gateway.

{
  "success": true,
  "data": {
    "json": {
      "errors": [],
      "data": {
        "url": "https://www.reddit.com/r/RedCrawlerAPI/comments/1sz3i6k/crosspost/",
        "drafts_count": 0,
        "id": "1sz3i6k",
        "name": "t3_1sz3i6k"
      }
    }
  },
  "error": null,
  "timestamp": "2026-04-29T16:16:43.123495+00:00"
}

On this page